/**
 * This file is part of FatturazioneElettronica - Core Extensions - Comune di Modena
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core Extensions - Comune di Modena is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core Extensions - Comune di Modena.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ws.comunemodena.sib;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the it.fe.core.ws.comunemodena.sib package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetTipiDocumentoResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getTipiDocumentoResponse");
    private final static QName _GetAreeCommerciali_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getAreeCommerciali");
    private final static QName _GetSubCausaleRiga_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getSubCausaleRiga");
    private final static QName _GetCausaleRigaResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getCausaleRigaResponse");
    private final static QName _GetUfficiResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getUfficiResponse");
    private final static QName _GetTipiDocumento_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getTipiDocumento");
    private final static QName _GetCentriDiCosto_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getCentriDiCosto");
    private final static QName _GetSettori_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getSettori");
    private final static QName _GetUffici_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getUffici");
    private final static QName _GetDivisioni_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getDivisioni");
    private final static QName _SaveFatturaResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "saveFatturaResponse");
    private final static QName _SaveFattura_QNAME = new QName("http://webservice.sib.comune.modena.it/", "saveFattura");
    private final static QName _GetCausaleRiga_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getCausaleRiga");
    private final static QName _GetAreeCommercialiResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getAreeCommercialiResponse");
    private final static QName _GetSubCausaleRigaResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getSubCausaleRigaResponse");
    private final static QName _GetDivisioniResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getDivisioniResponse");
    private final static QName _GetSettoriResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getSettoriResponse");
    private final static QName _GetCentriDiCostoResponse_QNAME = new QName("http://webservice.sib.comune.modena.it/", "getCentriDiCostoResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: it.fe.core.ws.comunemodena.sib
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetDivisioni }
     * 
     */
    public GetDivisioni createGetDivisioni() {
        return new GetDivisioni();
    }

    /**
     * Create an instance of {@link GetUfficiResponse }
     * 
     */
    public GetUfficiResponse createGetUfficiResponse() {
        return new GetUfficiResponse();
    }

    /**
     * Create an instance of {@link GetArreCommercialiResponse }
     * 
     */
    public GetAreeCommercialiResponse createGetAreeCommercialiResponse() {
        return new GetAreeCommercialiResponse();
    }

    /**
     * Create an instance of {@link GetCentriDiCostoResponse }
     * 
     */
    public GetCentriDiCostoResponse createGetCentriDiCostoResponse() {
        return new GetCentriDiCostoResponse();
    }

    /**
     * Create an instance of {@link FatturaBean }
     * 
     */
    public FatturaBean createFatturaBean() {
        return new FatturaBean();
    }

    /**
     * Create an instance of {@link LabelValueBean }
     * 
     */
    public LabelValueBean createLabelValueBean() {
        return new LabelValueBean();
    }

    /**
     * Create an instance of {@link GetSettori }
     * 
     */
    public GetSettori createGetSettori() {
        return new GetSettori();
    }

    /**
     * Create an instance of {@link GetSettoriResponse }
     * 
     */
    public GetSettoriResponse createGetSettoriResponse() {
        return new GetSettoriResponse();
    }

    /**
     * Create an instance of {@link GetUffici }
     * 
     */
    public GetUffici createGetUffici() {
        return new GetUffici();
    }

    /**
     * Create an instance of {@link GetSubCausaleRigaResponse }
     * 
     */
    public GetSubCausaleRigaResponse createGetSubCausaleRigaResponse() {
        return new GetSubCausaleRigaResponse();
    }

    /**
     * Create an instance of {@link GetArreCommerciali }
     * 
     */
    public GetAreeCommerciali createGetAreeCommerciali() {
        return new GetAreeCommerciali();
    }

    /**
     * Create an instance of {@link GetCausaleRiga }
     * 
     */
    public GetCausaleRiga createGetCausaleRiga() {
        return new GetCausaleRiga();
    }

    /**
     * Create an instance of {@link AreaCommercialeBean }
     * 
     */
    public AreaCommercialeBean createAreaCommercialeBean() {
        return new AreaCommercialeBean();
    }

    /**
     * Create an instance of {@link SaveFattura }
     * 
     */
    public SaveFattura createSaveFattura() {
        return new SaveFattura();
    }

    /**
     * Create an instance of {@link SaveFatturaResponse }
     * 
     */
    public SaveFatturaResponse createSaveFatturaResponse() {
        return new SaveFatturaResponse();
    }

    /**
     * Create an instance of {@link GetDivisioniResponse }
     * 
     */
    public GetDivisioniResponse createGetDivisioniResponse() {
        return new GetDivisioniResponse();
    }

    /**
     * Create an instance of {@link GetSubCausaleRiga }
     * 
     */
    public GetSubCausaleRiga createGetSubCausaleRiga() {
        return new GetSubCausaleRiga();
    }

    /**
     * Create an instance of {@link RigaBean }
     * 
     */
    public RigaBean createRigaBean() {
        return new RigaBean();
    }

    /**
     * Create an instance of {@link GetCentriDiCosto }
     * 
     */
    public GetCentriDiCosto createGetCentriDiCosto() {
        return new GetCentriDiCosto();
    }

    /**
     * Create an instance of {@link GetCausaleRigaResponse }
     * 
     */
    public GetCausaleRigaResponse createGetCausaleRigaResponse() {
        return new GetCausaleRigaResponse();
    }

    /**
     * Create an instance of {@link GetTipiDocumento }
     * 
     */
    public GetTipiDocumento createGetTipiDocumento() {
        return new GetTipiDocumento();
    }

    /**
     * Create an instance of {@link GetTipiDocumentoResponse }
     * 
     */
    public GetTipiDocumentoResponse createGetTipiDocumentoResponse() {
        return new GetTipiDocumentoResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTipiDocumentoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getTipiDocumentoResponse")
    public JAXBElement<GetTipiDocumentoResponse> createGetTipiDocumentoResponse(GetTipiDocumentoResponse value) {
        return new JAXBElement<GetTipiDocumentoResponse>(_GetTipiDocumentoResponse_QNAME, GetTipiDocumentoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetArreCommerciali }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getAreeCommerciali")
    public JAXBElement<GetAreeCommerciali> createGetArreCommerciali(GetAreeCommerciali value) {
        return new JAXBElement<GetAreeCommerciali>(_GetAreeCommerciali_QNAME, GetAreeCommerciali.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSubCausaleRiga }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getSubCausaleRiga")
    public JAXBElement<GetSubCausaleRiga> createGetSubCausaleRiga(GetSubCausaleRiga value) {
        return new JAXBElement<GetSubCausaleRiga>(_GetSubCausaleRiga_QNAME, GetSubCausaleRiga.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCausaleRigaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getCausaleRigaResponse")
    public JAXBElement<GetCausaleRigaResponse> createGetCausaleRigaResponse(GetCausaleRigaResponse value) {
        return new JAXBElement<GetCausaleRigaResponse>(_GetCausaleRigaResponse_QNAME, GetCausaleRigaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUfficiResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getUfficiResponse")
    public JAXBElement<GetUfficiResponse> createGetUfficiResponse(GetUfficiResponse value) {
        return new JAXBElement<GetUfficiResponse>(_GetUfficiResponse_QNAME, GetUfficiResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTipiDocumento }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getTipiDocumento")
    public JAXBElement<GetTipiDocumento> createGetTipiDocumento(GetTipiDocumento value) {
        return new JAXBElement<GetTipiDocumento>(_GetTipiDocumento_QNAME, GetTipiDocumento.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCentriDiCosto }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getCentriDiCosto")
    public JAXBElement<GetCentriDiCosto> createGetCentriDiCosto(GetCentriDiCosto value) {
        return new JAXBElement<GetCentriDiCosto>(_GetCentriDiCosto_QNAME, GetCentriDiCosto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSettori }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getSettori")
    public JAXBElement<GetSettori> createGetSettori(GetSettori value) {
        return new JAXBElement<GetSettori>(_GetSettori_QNAME, GetSettori.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetUffici }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getUffici")
    public JAXBElement<GetUffici> createGetUffici(GetUffici value) {
        return new JAXBElement<GetUffici>(_GetUffici_QNAME, GetUffici.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDivisioni }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getDivisioni")
    public JAXBElement<GetDivisioni> createGetDivisioni(GetDivisioni value) {
        return new JAXBElement<GetDivisioni>(_GetDivisioni_QNAME, GetDivisioni.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveFatturaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "saveFatturaResponse")
    public JAXBElement<SaveFatturaResponse> createSaveFatturaResponse(SaveFatturaResponse value) {
        return new JAXBElement<SaveFatturaResponse>(_SaveFatturaResponse_QNAME, SaveFatturaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveFattura }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "saveFattura")
    public JAXBElement<SaveFattura> createSaveFattura(SaveFattura value) {
        return new JAXBElement<SaveFattura>(_SaveFattura_QNAME, SaveFattura.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCausaleRiga }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getCausaleRiga")
    public JAXBElement<GetCausaleRiga> createGetCausaleRiga(GetCausaleRiga value) {
        return new JAXBElement<GetCausaleRiga>(_GetCausaleRiga_QNAME, GetCausaleRiga.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAreeCommercialiResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getAreeCommercialiResponse")
    public JAXBElement<GetAreeCommercialiResponse> createGetAreeCommercialiResponse(GetAreeCommercialiResponse value) {
        return new JAXBElement<GetAreeCommercialiResponse>(_GetAreeCommercialiResponse_QNAME, GetAreeCommercialiResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSubCausaleRigaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getSubCausaleRigaResponse")
    public JAXBElement<GetSubCausaleRigaResponse> createGetSubCausaleRigaResponse(GetSubCausaleRigaResponse value) {
        return new JAXBElement<GetSubCausaleRigaResponse>(_GetSubCausaleRigaResponse_QNAME, GetSubCausaleRigaResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDivisioniResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getDivisioniResponse")
    public JAXBElement<GetDivisioniResponse> createGetDivisioniResponse(GetDivisioniResponse value) {
        return new JAXBElement<GetDivisioniResponse>(_GetDivisioniResponse_QNAME, GetDivisioniResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetSettoriResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getSettoriResponse")
    public JAXBElement<GetSettoriResponse> createGetSettoriResponse(GetSettoriResponse value) {
        return new JAXBElement<GetSettoriResponse>(_GetSettoriResponse_QNAME, GetSettoriResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetCentriDiCostoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservice.sib.comune.modena.it/", name = "getCentriDiCostoResponse")
    public JAXBElement<GetCentriDiCostoResponse> createGetCentriDiCostoResponse(GetCentriDiCostoResponse value) {
        return new JAXBElement<GetCentriDiCostoResponse>(_GetCentriDiCostoResponse_QNAME, GetCentriDiCostoResponse.class, null, value);
    }

}
