/**
 * This file is part of FatturazioneElettronica - Core
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Core is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Core is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Core.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.core.ejb.parer;

import it.fe.core.ejb.parer.wsupload.Risposta;
import it.fe.core.par.invoice.Invoice;
import it.fe.core.par.user.Organization;

import java.util.Date;

import org.jboss.annotation.ejb.Management;

@Management
public interface ServiceParerManagerManagement {
	public Risposta uploadDatiFiscaliFatturaPassiva(Invoice invoice,
			String loginName, 
			String password, 
			String numeroFatturaRecupero, // peppolMessageId 
			int annoRecupero, // issue date da UBL
			String numerFatturaVersamento,
			String registroVersamento,
			Date dataFattura,
			String mittenteDestinatario, // supplier UBL
			String tipoMittenteDestinatario,
			String supplierId,
			String tipoSupplierId,
			Organization organization
			);
}