/**
 * This file is part of FatturazioneElettronica
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.ws.unimore.client;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the it.fe.ws.unimore.client package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _InvokeStoredProcedureResponse_QNAME = new QName("http://unimore.ws.fe.it/", "invokeStoredProcedureResponse");
    private final static QName _FindByParametersResponse_QNAME = new QName("http://unimore.ws.fe.it/", "findByParametersResponse");
    private final static QName _InvokeStoredProcedure_QNAME = new QName("http://unimore.ws.fe.it/", "invokeStoredProcedure");
    private final static QName _FindByParameters_QNAME = new QName("http://unimore.ws.fe.it/", "findByParameters");
    private final static QName _Test_QNAME = new QName("http://unimore.ws.fe.it/", "test");
    private final static QName _TestResponse_QNAME = new QName("http://unimore.ws.fe.it/", "testResponse");
    private final static QName _FindByNativeQuery_QNAME = new QName("http://unimore.ws.fe.it/", "findByNativeQuery");
    private final static QName _FindByNativeQueryResponse_QNAME = new QName("http://unimore.ws.fe.it/", "findByNativeQueryResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: it.fe.ws.unimore.client
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link HashMap }
     * 
     */
    public HashMap createHashMap() {
        return new HashMap();
    }

    /**
     * Create an instance of {@link FindByParameters }
     * 
     */
    public FindByParameters createFindByParameters() {
        return new FindByParameters();
    }

    /**
     * Create an instance of {@link FindByNativeQueryResponse }
     * 
     */
    public FindByNativeQueryResponse createFindByNativeQueryResponse() {
        return new FindByNativeQueryResponse();
    }

    /**
     * Create an instance of {@link InvokeStoredProcedure }
     * 
     */
    public InvokeStoredProcedure createInvokeStoredProcedure() {
        return new InvokeStoredProcedure();
    }

    /**
     * Create an instance of {@link TestResponse }
     * 
     */
    public TestResponse createTestResponse() {
        return new TestResponse();
    }

    /**
     * Create an instance of {@link FindByNativeQuery }
     * 
     */
    public FindByNativeQuery createFindByNativeQuery() {
        return new FindByNativeQuery();
    }

    /**
     * Create an instance of {@link InvokeStoredProcedureResponse }
     * 
     */
    public InvokeStoredProcedureResponse createInvokeStoredProcedureResponse() {
        return new InvokeStoredProcedureResponse();
    }

    /**
     * Create an instance of {@link Test }
     * 
     */
    public Test createTest() {
        return new Test();
    }

    /**
     * Create an instance of {@link FindByParametersResponse }
     * 
     */
    public FindByParametersResponse createFindByParametersResponse() {
        return new FindByParametersResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InvokeStoredProcedureResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "invokeStoredProcedureResponse")
    public JAXBElement<InvokeStoredProcedureResponse> createInvokeStoredProcedureResponse(InvokeStoredProcedureResponse value) {
        return new JAXBElement<InvokeStoredProcedureResponse>(_InvokeStoredProcedureResponse_QNAME, InvokeStoredProcedureResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindByParametersResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "findByParametersResponse")
    public JAXBElement<FindByParametersResponse> createFindByParametersResponse(FindByParametersResponse value) {
        return new JAXBElement<FindByParametersResponse>(_FindByParametersResponse_QNAME, FindByParametersResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link InvokeStoredProcedure }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "invokeStoredProcedure")
    public JAXBElement<InvokeStoredProcedure> createInvokeStoredProcedure(InvokeStoredProcedure value) {
        return new JAXBElement<InvokeStoredProcedure>(_InvokeStoredProcedure_QNAME, InvokeStoredProcedure.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindByParameters }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "findByParameters")
    public JAXBElement<FindByParameters> createFindByParameters(FindByParameters value) {
        return new JAXBElement<FindByParameters>(_FindByParameters_QNAME, FindByParameters.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Test }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "test")
    public JAXBElement<Test> createTest(Test value) {
        return new JAXBElement<Test>(_Test_QNAME, Test.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "testResponse")
    public JAXBElement<TestResponse> createTestResponse(TestResponse value) {
        return new JAXBElement<TestResponse>(_TestResponse_QNAME, TestResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindByNativeQuery }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "findByNativeQuery")
    public JAXBElement<FindByNativeQuery> createFindByNativeQuery(FindByNativeQuery value) {
        return new JAXBElement<FindByNativeQuery>(_FindByNativeQuery_QNAME, FindByNativeQuery.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FindByNativeQueryResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://unimore.ws.fe.it/", name = "findByNativeQueryResponse")
    public JAXBElement<FindByNativeQueryResponse> createFindByNativeQueryResponse(FindByNativeQueryResponse value) {
        return new JAXBElement<FindByNativeQueryResponse>(_FindByNativeQueryResponse_QNAME, FindByNativeQueryResponse.class, null, value);
    }

}
