/**
 * This file is part of FatturazioneElettronica - Web - Common
 *
 * Copyright © 2009-2014 EPOCA
 *
 * FatturazioneElettronica - Web - Common is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FatturazioneElettronica - Web - Common is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FatturazioneElettronica - Web - Common.  If not, see <http://www.gnu.org/licenses/>.
 */
package it.fe.web.controller.statistics;

/**
 * Classe che raccoglie statstiche circa i tempi di elaborazione delle fatture, per utente e per stato
 * @author SMonti
 *
 */
public class TimingHolder {
	
	private String user;
	private String state;
	private double averageValue;
	private double maxValue;
	
	
	
	public TimingHolder(String user, String state, double averageValue, double maxValue) {
		super();
		this.user = user;
		this.state = state;
		this.averageValue = averageValue;
		this.maxValue = maxValue ;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getState() {
		return state;
	}
	public void setState(String state) {
		this.state = state;
	}
	public double getAverageValue() {
		return averageValue;
	}
	public void setAverageValue(double averageValue) {
		this.averageValue = averageValue;
	}
	public double getMaxValue() {
		return maxValue;
	}
	public void setMaxValue(double maxValue) {
		this.maxValue = maxValue;
	}
	
	

}
